सामग्री पर जाएँ

Wan · v2.2 A14b · Image to Image

इंटीग्रेट करें

मॉडल id wan/v2.2-a14b/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.2-a14b/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.05 50 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Alibaba इमेज एडिटिंग #image-to-image

मूल छवि को बनाए रखने या फिर से बनाने के लिए समायोज्य डिनॉइज़िंग शक्ति वाला Wan 2.2 A14B इमेज-टू-इमेज मॉडल

Doitong पर बनाया गया

Doitong समुदाय द्वारा Wan v2.2 A14b से बनाए गए सार्वजनिक कार्य। एक क्लिक में प्रॉम्प्ट का पुनः उपयोग करें।

दिखाए गए सार्वजनिक कार्य: 5
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a... वीडियो

Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone vide... वीडियो

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with na... वीडियो

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... वीडियो

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, c... वीडियो

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, cinematic Christmas short film, high-quality realistic 3D animation. REFERENCE IMAGE — DASHA_001 Use the uploaded image as the exact character reference for Dasha. Preserve her recognizable face,...

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

निर्मित इमेज को निर्देशित करने वाले टेक्स्ट निर्देश।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

इनपुट इमेज की ओर संकेत करने वाला URL।

aspect_ratio डिफ़ॉल्ट auto

निर्मित इमेज के अनुपात स्पष्ट रूप से सेट करें या 'auto' चुनें, ताकि इनपुट इमेज उन्हें स्वचालित रूप से निर्धारित करे।

image_size
उन्नत negative_prompt · acceleration · image_format · strength · num_inference_steps · guidance_scale · guidance_scale_2 · shift · seed · enable_safety_checker · enable_output_safety_checker · enable_prompt_expansion
डिफ़ॉल्ट

वीडियो बनाते समय लागू किया गया नकारात्मक प्रॉम्प्ट।

acceleration डिफ़ॉल्ट regular

त्वरण सेटिंग, जिसमें 'regular' अनुशंसित विकल्प है। त्वरण बढ़ाने पर गुणवत्ता कम होती है, लेकिन निर्माण समय घटता है।

image_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 0.5

डीनॉइज़िंग की तीव्रता: 1.0 पर इमेज पूरी तरह से पुनर्निर्मित होती है, जबकि 0.0 पर मूल इमेज अपरिवर्तित रहती है।

डिफ़ॉल्ट 27

sampling step count, जिसमें count बढ़ने पर अधिक processing time के बदले बेहतर गुणवत्ता मिलती है।

डिफ़ॉल्ट 3.5

classifier-free guidance की strength।

डिफ़ॉल्ट 4

मार्गदर्शन स्केल, जो नियंत्रित करता है कि मॉडल अपने दूसरे चरण के दौरान प्रॉम्प्ट का कितनी बारीकी से पालन करता है।

डिफ़ॉल्ट 2

निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।

POST /run/wan/v2.2-a14b/image-to-image?wait=20 कोटेशन → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.2-a14b/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Wan · v2.2 A14b · Image to Image के बारे में

टेक्स्ट `prompt` के अनुसार इनपुट छवि (`image_url`) संपादित करता है। 0 से 1 तक का `strength` तय करता है कि कितना हिस्सा फिर से बनाया जाए; 1 का अर्थ पूर्ण पुनर्निर्माण और 0 का अर्थ मूल छवि को बनाए रखना है। आस्पेक्ट रेशियो इनपुट के अनुसार अपने-आप लिया जा सकता है या 16:9, 9:16 अथवा 1:1 हो सकता है। इसकी दो अवस्थाओं के लिए दो गाइडेंस स्केल हैं और आउटपुट png या jpeg होता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
इनपुट इमेज की ओर संकेत करने वाला URL।
promptआवश्यक
प्रकारstring
निर्मित इमेज को निर्देशित करने वाले टेक्स्ट निर्देश।
strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.5
0 – 1
डीनॉइज़िंग की तीव्रता: 1.0 पर इमेज पूरी तरह से पुनर्निर्मित होती है, जबकि 0.0 पर मूल इमेज अपरिवर्तित रहती है।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
वीडियो बनाते समय लागू किया गया नकारात्मक प्रॉम्प्ट।
seedवैकल्पिक
प्रकारinteger | null
निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto16:99:161:1
निर्मित इमेज के अनुपात स्पष्ट रूप से सेट करें या 'auto' चुनें, ताकि इनपुट इमेज उन्हें स्वचालित रूप से निर्धारित करे।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट27
2 – 40
sampling step count, जिसमें count बढ़ने पर अधिक processing time के बदले बेहतर गुणवत्ता मिलती है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
प्रोसेसिंग से पहले इनपुट सुरक्षा जाँच, जिसे केवल अधिकृत खाते बंद कर सकते हैं। प्राधिकरण रहित अनुरोध हमेशा जाँचे जाते हैं; अन्यथा true जाँच सक्षम करता है।
enable_output_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
निर्मित वीडियो की सुरक्षा जाँच नियंत्रित करता है; true सेट करने पर निर्माण के बाद जाँच सक्षम होती है।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
बड़े भाषा मॉडल को विवरणों के साथ प्रॉम्प्ट समृद्ध करने दें। इस विस्तार को सक्षम करने पर प्रॉम्प्ट का अर्थ अपरिवर्तित रहता है।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टregular
noneregular
त्वरण सेटिंग, जिसमें 'regular' अनुशंसित विकल्प है। त्वरण बढ़ाने पर गुणवत्ता कम होती है, लेकिन निर्माण समय घटता है।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3.5
1 – 10
classifier-free guidance की strength।
guidance_scale_2वैकल्पिक
प्रकारnumber
डिफ़ॉल्ट4
1 – 10
मार्गदर्शन स्केल, जो नियंत्रित करता है कि मॉडल अपने दूसरे चरण के दौरान प्रॉम्प्ट का कितनी बारीकी से पालन करता है।
shiftवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट2
1 – 10
image_sizeवैकल्पिक
प्रकारobject
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
image_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
pngjpeg
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.2-a14b/image-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "prompt": "A cinematic portrait of a woman in natural light, 85mm look.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size}निर्माण से बनी इमेज फ़ाइल।
prompt
stringइमेज बनाने के लिए उपयोग किया गया टेक्स्ट प्रॉम्प्ट।
seed
integerनिर्माण के दौरान लागू किया गया सीड मान।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/wan/v2.2-a14b/image-to-image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt